UISessionInitializationStrategy (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.security.UISessionInitializationStrategy class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.security
Class UISessionInitializationStrategy

    java.lang.Object
      org.hyperic.hq.ui.security.BaseSessionInitializationStrategy
          org.hyperic.hq.ui.security.UISessionInitializationStrategy

All Implemented Interfaces:
  org.springframework.security.web.authentication.session.SessionAuthenticationStrategy

    @Component
    public class UISessionInitializationStrategy

extends BaseSessionInitializationStrategy

Constructor Summary
`UISessionInitializationStrategy()`

Method Summary
`void` | `onAuthentication(org.springframework.security.core.Authentication authentication, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Methods inherited from class org.hyperic.hq.ui.security.BaseSessionInitializationStrategy
`getUserPreferences, loadUserPermissions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UISessionInitializationStrategy

    public UISessionInitializationStrategy()

Method Detail

### onAuthentication

    public void onAuthentication(org.springframework.security.core.Authentication authentication,
                                 javax.servlet.http.HttpServletRequest request,
                                 javax.servlet.http.HttpServletResponse response)
                          throws org.springframework.security.web.authentication.session.SessionAuthenticationException

  Specified by:
    `onAuthentication` in interface `org.springframework.security.web.authentication.session.SessionAuthenticationStrategy`
  Overrides:
    `onAuthentication` in class `BaseSessionInitializationStrategy`
  Throws:
    `org.springframework.security.web.authentication.session.SessionAuthenticationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.